Index: unk/packages/sipb-xen-console-server/config.todo
===================================================================
--- /trunk/packages/sipb-xen-console-server/config.todo	(revision 814)
+++ 	(revision )
@@ -1,2 +1,0 @@
-files/etc/conserver/conserver.cf.sipb-xen: console-proxy ip
-files/etc/conserver/conserver.cf.sipb-xen: master-vm name
Index: /trunk/packages/sipb-xen-console-server/debian/changelog
===================================================================
--- /trunk/packages/sipb-xen-console-server/debian/changelog	(revision 814)
+++ /trunk/packages/sipb-xen-console-server/debian/changelog	(revision 815)
@@ -3,6 +3,9 @@
   * use invirt.config rather than /etc/invirt/* directly
   * get console-server hostname, db connection string from config
+  * generate conserver config piece needing console-server ip
+  * remove console 's_sipb-xen-dev', which doesn't work anyway
+  * all configured!
 
- -- Greg Price <price@mit.edu>  Fri,  1 Aug 2008 23:57:59 -0400
+ -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 18:58:59 -0400
 
 sipb-xen-console-server (2.04) unstable; urgency=low
Index: /trunk/packages/sipb-xen-console-server/debian/sipb-xen-console-server.init
===================================================================
--- /trunk/packages/sipb-xen-console-server/debian/sipb-xen-console-server.init	(revision 815)
+++ /trunk/packages/sipb-xen-console-server/debian/sipb-xen-console-server.init	(revision 815)
@@ -0,0 +1,117 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          sipb-xen-console-server
+# Required-Start:    $local_fs $remote_fs
+# Required-Stop:     $local_fs $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: conserver config from invirt config for invirt host
+# Description:       
+### END INIT INFO
+
+# Author: Invirt/XVM Project, MIT SIPB <invirt@mit.edu>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Invirt host console config"
+NAME=sipb-xen-console-server
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+gen_config()
+{
+        console_ip=$(invirt-getconf console.ip)
+        cat >/etc/conserver/invirt-genconfig.cf <<EOF
+access * {
+       trusted 127.0.0.1;
+       trusted $console_ip;
+       limited *;
+}
+EOF
+}
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+	gen_config
+	VERBOSE=no /etc/init.d/conserver-server reload
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	return 1
+}
+
+do_reload()
+{
+	gen_config
+	VERBOSE=no /etc/init.d/conserver-server reload
+}
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_begin_msg "Starting $DESC" "$NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  reload|force-reload)
+	log_daemon_msg "Reloading $DESC" "$NAME"
+	do_reload
+	log_end_msg $?
+	;;
+  restart)
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:
Index: /trunk/packages/sipb-xen-console-server/files/etc/conserver/conserver.cf.sipb-xen
===================================================================
--- /trunk/packages/sipb-xen-console-server/files/etc/conserver/conserver.cf.sipb-xen	(revision 814)
+++ /trunk/packages/sipb-xen-console-server/files/etc/conserver/conserver.cf.sipb-xen	(revision 815)
@@ -11,14 +11,4 @@
 }
 
-access * {
-	trusted 127.0.0.1;
-	trusted 18.181.0.134;
-	limited *;
-}
-
-console s_sipb-xen-dev {
-	type exec;
-	exec xm console s_sipb-xen-dev;
-}
-
+#include /etc/conserver/invirt-genconfig.cf
 #include /etc/conserver/sipb-xen-consoles.cf
